<template>
    <b-container fluid>
            <b-row class="navigation-row">
                <b-col cols="12">
                    <slot name="top">
                        <error-boundary>
                            <navigation></navigation>
                        </error-boundary>
                    </slot>
                </b-col>
        </b-row>


        <!--v-if="this.$store.getters.isLoggedIn"-->
        <b-row>
            <slot name="sidebar">
            <b-col cols="1">
                <sidebar></sidebar>
            </b-col>
        </slot>
            <b-col cols="11" class="pt-80">
                <b-container fluid>
                    <slot name="main">
                        <p>Default main text</p>
                    </slot>
                </b-container>
            </b-col>
        </b-row>
        <b-row>
            <b-col cols="12">
                <slot name="foot"></slot>
            </b-col>
        </b-row>

    </b-container>
</template>

<script>
    import Navigation from "../components/Navigation";
    import ErrorBoundary from "../components/ErrorBoundary";
    import Sidebar from "../components/Sidebar";
    import LoginForm from "../components/form/LoginForm";

    export default {
        name: "BasePage",
        components: {
            'sidebar': Sidebar,
            'navigation': Navigation,
            'error-boundary': ErrorBoundary,
            'login-form': LoginForm
        },

    }
</script>

<style scoped>
    .navigation-row {
        max-height: 70px;
        width: 100%;
    }
</style>